import { Entity } from '../../shared'

export interface BDProductService extends Entity {
  description: string
  unit: string
  stock: PriceAmountValue
  monthlySales: PriceAmountValue
  variableCosts: PriceAmountValue
}

export interface PriceAmountValue {
  price: string
  amount: string
}

export interface AddBDProductServiceArgs {
  projectId: string
  productService: BDProductService
}
export interface UpdateBDProductServiceArgs {
  projectId: string
  productServiceId: string
  productService: BDProductService
}
export interface DeleteBDProductServiceArgs {
  projectId: string
  productServiceId: string
}
