import { combineReducers } from 'redux'

import context, { initialState as contextInitState, Store as ContextStore } from './context'

export interface State {
  context: ContextStore
}
export const initialState: State = {
  context: contextInitState,
}

export default combineReducers({
  context,
})
