import { BDIdentification } from '@agiliza/api/domain'

type ExtendedState = BDIdentification

export interface BDIdentificationState extends ExtendedState {
  mainActivity: ''
}

export const initialState: BDIdentificationState = {
  cnpj: '',
  activitySector: '',
  cityRegistration: '',
  codeCNAE: '',
  companyName: '',
  document: { extraInformations: '', id: '', url: undefined, type: { id: undefined, description: '' } },
  fantasyName: '',
  local: '',
  settledOP: '',
  stateRegistration: '',
  commercialRegistration: '',
  mainActivity: '',
  openingDate: null,
}
