import { Home } from '@agiliza/api/domain'

type ExtendedState = Home

export interface CustomerHomeState extends ExtendedState {
  hasProperty: boolean
}

export const initialState: CustomerHomeState = {
  hasProperty: true,
  address: { id: '', cep: '', city: '', complement: '', district: '', number: '', state: '', street: '', proof: '' },
  cityResideTime: '',
  deed: '',
  deedRecord: '',
  hasOnus: false,
  marketValue: '',
  reside: false,
  resideTime: '',
  type: '',
}
