import { InvolvedPerson } from '@agiliza/api/domain'

type ExtendedState = Omit<InvolvedPerson['identification'], 'type'>

export interface CDIdentificationState extends ExtendedState {
  hasAccount: boolean
}

export const initialState: CDIdentificationState = {
  id: '',
  name: '',
  cpfcnpj: '',
  gender: '',
  hasAccount: false,
  account: { agencyNumber: '', number: '', cardPicture: '' },
  dataType: { doesWithdrawal: false, framework: '' },
}
