import { Theme } from '@material-ui/core/styles'
import { createStyles } from '@material-ui/styles'

// eslint-disable-next-line
export default (theme: Theme) => {
  return createStyles({
    accountInputsPhotoContainer: { display: 'flex', flexDirection: 'column', alignItems: 'center', height: '100%' },
    accountInputsContainer: { marginRight: theme.spacing(1), height: '100%' },
    photoBtn: { minWidth: '50%' },
    photoLabelBtn: { display: 'flex', flexDirection: 'column', height: '280px', alignItems: 'center', flexGrow: 1 },
    card: { width: 'auto', height: 'auto' },
    media: {
      height: '250px',
      width: 'auto',
      // paddingTop: '56.25%', // 16:9
    },
  })
}
